# addPodProcessor method

1. @override

void addPodProcessor(

1. PodProcessor processor

)
override

Registers a new pod-aware processor.

Processors are called during pod creation and can modify pod definitions or instances.

## Usage Example:

    factory.addPodProcessor(MyCustomPodProcessor());

@param processor The processor to register

## Implementation

    @override
    void addPodProcessor(PodProcessor processor) {
      // local-only mutation. registering on parent implicitly is surprising.
      getPodFactory().addPodProcessor(processor);
    }